Debian Bug report logs - #401129
[m68k] FTBFS due to alignment problem

version graph

Package: php5; Maintainer for php5 is Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>; Source for php5 is src:php5.

Reported by: Roman Zippel <zippel@linux-m68k.org>

Date: Fri, 1 Dec 2006 01:18:05 UTC

Severity: important

Tags: patch

Fixed in version php5/5.2.0-8

Done: sean finney <seanius@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>:
Bug#401129; Package php5. Full text and rfc822 format available.

Acknowledgement sent to Roman Zippel <zippel@linux-m68k.org>:
New Bug report received and forwarded. Copy sent to Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Roman Zippel <zippel@linux-m68k.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: [m68k] FTBFS due to alignment problem
Date: Fri, 01 Dec 2006 01:57:10 +0100
[Message part 1 (text/plain, inline)]
Package: php5
Severity: important
Tags: patch

Hi,

php5 currently fails to compile because it crashes in the allocator. The
basic problem is, that the used alignment is to small. The allocator
needs two bits for type information, but the alignment is set to two on
m68k.  The attached patch fixes the problem and also properly rounds the
alignment value up, so it matches the shift value (it's not really a
problem right now, but just in case the sizeof a few lines up produces
weird results).

bye, Roman

-- System Information:
Debian Release: 4.0
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: m68k
Shell:  /bin/sh linked to /bin/dash
Kernel: Linux 2.6.18-m68k-amiga
Locale: LANG=de_DE.UTF-8, LC_CTYPE=C (charmap=ANSI_X3.4-1968)
[php5_mm_align.patch (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>:
Bug#401129; Package php5. Full text and rfc822 format available.

Acknowledgement sent to Roman Zippel <zippel@linux-m68k.org>:
Extra info received and forwarded to list. Copy sent to Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #10 received at 401129@bugs.debian.org (full text, mbox):

From: Roman Zippel <zippel@linux-m68k.org>
To: 401129@bugs.debian.org
Subject: Re: [m68k] FTBFS due to alignment problem
Date: Fri, 1 Dec 2006 17:40:33 +0100 (CET)
Hi,

Here is also how it's officially fixed now in CVS:

http://news.php.net/php.zend-engine.cvs/5437

Please release a new package with this patch.
Thanks.

bye, Roman



Information forwarded to debian-bugs-dist@lists.debian.org, Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>:
Bug#401129; Package php5. Full text and rfc822 format available.

Acknowledgement sent to sean finney <seanius@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #15 received at 401129@bugs.debian.org (full text, mbox):

From: sean finney <seanius@debian.org>
To: Roman Zippel <zippel@linux-m68k.org>, 401129@bugs.debian.org
Subject: Re: [php-maint] Bug#401129: [m68k] FTBFS due to alignment problem
Date: Fri, 01 Dec 2006 20:30:54 +0100
[Message part 1 (text/plain, inline)]
hi roman,

On Fri, 2006-12-01 at 17:40 +0100, Roman Zippel wrote:
> Hi,
> 
> Here is also how it's officially fixed now in CVS:
> 
> http://news.php.net/php.zend-engine.cvs/5437
> 
> Please release a new package with this patch.

erm...

@@ -373,6 +373,11 @@
 #ifndef ZEND_MM_ALIGNMENT
 # define ZEND_MM_ALIGNMENT 8
 # define ZEND_MM_ALIGNMENT_LOG2 3
+#elif ZEND_MM_ALIGNMENT < 4
+# undef ZEND_MM_ALIGNMENT
+# undef ZEND_MM_ALIGNMENT
+# define ZEND_MM_ALIGNMENT 4
+# define ZEND_MM_ALIGNMENT_LOG2 2
 #endif
 
 #define ZEND_MM_ALIGNMENT_MASK ~(ZEND_MM_ALIGNMENT-1)


is it me or should that second undef be replaced with ZEND_MM_ALIGNMENT_LOG2 ?



	sean
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>:
Bug#401129; Package php5. Full text and rfc822 format available.

Acknowledgement sent to Roman Zippel <zippel@linux-m68k.org>:
Extra info received and forwarded to list. Copy sent to Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #20 received at 401129@bugs.debian.org (full text, mbox):

From: Roman Zippel <zippel@linux-m68k.org>
To: sean finney <seanius@debian.org>
Cc: 401129@bugs.debian.org
Subject: Re: [php-maint] Bug#401129: [m68k] FTBFS due to alignment problem
Date: Fri, 1 Dec 2006 21:35:10 +0100 (CET)
Hi,

On Fri, 1 Dec 2006, sean finney wrote:

> @@ -373,6 +373,11 @@
>  #ifndef ZEND_MM_ALIGNMENT
>  # define ZEND_MM_ALIGNMENT 8
>  # define ZEND_MM_ALIGNMENT_LOG2 3
> +#elif ZEND_MM_ALIGNMENT < 4
> +# undef ZEND_MM_ALIGNMENT
> +# undef ZEND_MM_ALIGNMENT
> +# define ZEND_MM_ALIGNMENT 4
> +# define ZEND_MM_ALIGNMENT_LOG2 2
>  #endif
>  
>  #define ZEND_MM_ALIGNMENT_MASK ~(ZEND_MM_ALIGNMENT-1)
> 
> 
> is it me or should that second undef be replaced with ZEND_MM_ALIGNMENT_LOG2 ?

Yes, I noticed that too and it's fixed now:

http://news.php.net/php.zend-engine.cvs/5439

bye, Roman



Information forwarded to debian-bugs-dist@lists.debian.org, Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>:
Bug#401129; Package php5. Full text and rfc822 format available.

Acknowledgement sent to sean finney <seanius@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #25 received at 401129@bugs.debian.org (full text, mbox):

From: sean finney <seanius@debian.org>
To: Roman Zippel <zippel@linux-m68k.org>
Cc: 401129 <401129@bugs.debian.org>
Subject: Re: [php-maint] Bug#401129: [m68k] FTBFS due to alignment problem
Date: Tue, 05 Dec 2006 09:34:49 +0100
[Message part 1 (text/plain, inline)]
On Tue, 2006-12-05 at 00:44 +0100, Roman Zippel wrote:
> Out of curiosity, any plans to release a fixed package? There are a number 
> of packages waiting for it.

it'll probably be in the next upload, though i can't give you an exact
date on this, sorry.
[signature.asc (application/pgp-signature, inline)]

Tags added: pending Request was from Sean Finney <seanius@alioth.debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>:
Bug#401129; Package php5. Full text and rfc822 format available.

Acknowledgement sent to sean finney <seanius@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #32 received at 401129@bugs.debian.org (full text, mbox):

From: sean finney <seanius@debian.org>
To: Roman Zippel <zippel@linux-m68k.org>
Cc: 401129@bugs.debian.org
Subject: Re: [php-maint] Bug#401129: [m68k] FTBFS due to alignment problem
Date: Fri, 08 Dec 2006 19:20:50 +0100
[Message part 1 (text/plain, inline)]
hi roman,

you happen to know if php4 suffers from a similar problem wrt this?

i'll probably wrap this up with a couple other loose things for an
upload this weekend.


	sean
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>:
Bug#401129; Package php5. Full text and rfc822 format available.

Acknowledgement sent to Roman Zippel <zippel@linux-m68k.org>:
Extra info received and forwarded to list. Copy sent to Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #37 received at 401129@bugs.debian.org (full text, mbox):

From: Roman Zippel <zippel@linux-m68k.org>
To: 401129@bugs.debian.org
Subject: Re: [php-maint] Bug#401129: [m68k] FTBFS due to alignment problem
Date: Fri, 8 Dec 2006 22:59:18 +0100 (CET)
Hi,

On Fri, 8 Dec 2006, sean finney wrote:

> you happen to know if php4 suffers from a similar problem wrt this?

I don't think so, the problem was introduced with 5.2.0.

> i'll probably wrap this up with a couple other loose things for an
> upload this weekend.

Thanks.

bye, Roman



Reply sent to sean finney <seanius@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Roman Zippel <zippel@linux-m68k.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #42 received at 401129-close@bugs.debian.org (full text, mbox):

From: sean finney <seanius@debian.org>
To: 401129-close@bugs.debian.org
Subject: Bug#401129: fixed in php5 5.2.0-8
Date: Sun, 17 Dec 2006 19:32:05 +0000
Source: php5
Source-Version: 5.2.0-8

We believe that the bug you reported is fixed in the latest version of
php5, which is due to be installed in the Debian FTP archive:

libapache-mod-php5_5.2.0-8_amd64.deb
  to pool/main/p/php5/libapache-mod-php5_5.2.0-8_amd64.deb
libapache2-mod-php5_5.2.0-8_amd64.deb
  to pool/main/p/php5/libapache2-mod-php5_5.2.0-8_amd64.deb
php-pear_5.2.0-8_all.deb
  to pool/main/p/php5/php-pear_5.2.0-8_all.deb
php5-cgi_5.2.0-8_amd64.deb
  to pool/main/p/php5/php5-cgi_5.2.0-8_amd64.deb
php5-cli_5.2.0-8_amd64.deb
  to pool/main/p/php5/php5-cli_5.2.0-8_amd64.deb
php5-common_5.2.0-8_amd64.deb
  to pool/main/p/php5/php5-common_5.2.0-8_amd64.deb
php5-curl_5.2.0-8_amd64.deb
  to pool/main/p/php5/php5-curl_5.2.0-8_amd64.deb
php5-dev_5.2.0-8_amd64.deb
  to pool/main/p/php5/php5-dev_5.2.0-8_amd64.deb
php5-gd_5.2.0-8_amd64.deb
  to pool/main/p/php5/php5-gd_5.2.0-8_amd64.deb
php5-imap_5.2.0-8_amd64.deb
  to pool/main/p/php5/php5-imap_5.2.0-8_amd64.deb
php5-interbase_5.2.0-8_amd64.deb
  to pool/main/p/php5/php5-interbase_5.2.0-8_amd64.deb
php5-ldap_5.2.0-8_amd64.deb
  to pool/main/p/php5/php5-ldap_5.2.0-8_amd64.deb
php5-mcrypt_5.2.0-8_amd64.deb
  to pool/main/p/php5/php5-mcrypt_5.2.0-8_amd64.deb
php5-mhash_5.2.0-8_amd64.deb
  to pool/main/p/php5/php5-mhash_5.2.0-8_amd64.deb
php5-mysql_5.2.0-8_amd64.deb
  to pool/main/p/php5/php5-mysql_5.2.0-8_amd64.deb
php5-odbc_5.2.0-8_amd64.deb
  to pool/main/p/php5/php5-odbc_5.2.0-8_amd64.deb
php5-pgsql_5.2.0-8_amd64.deb
  to pool/main/p/php5/php5-pgsql_5.2.0-8_amd64.deb
php5-pspell_5.2.0-8_amd64.deb
  to pool/main/p/php5/php5-pspell_5.2.0-8_amd64.deb
php5-recode_5.2.0-8_amd64.deb
  to pool/main/p/php5/php5-recode_5.2.0-8_amd64.deb
php5-snmp_5.2.0-8_amd64.deb
  to pool/main/p/php5/php5-snmp_5.2.0-8_amd64.deb
php5-sqlite_5.2.0-8_amd64.deb
  to pool/main/p/php5/php5-sqlite_5.2.0-8_amd64.deb
php5-sybase_5.2.0-8_amd64.deb
  to pool/main/p/php5/php5-sybase_5.2.0-8_amd64.deb
php5-tidy_5.2.0-8_amd64.deb
  to pool/main/p/php5/php5-tidy_5.2.0-8_amd64.deb
php5-xmlrpc_5.2.0-8_amd64.deb
  to pool/main/p/php5/php5-xmlrpc_5.2.0-8_amd64.deb
php5-xsl_5.2.0-8_amd64.deb
  to pool/main/p/php5/php5-xsl_5.2.0-8_amd64.deb
php5_5.2.0-8.diff.gz
  to pool/main/p/php5/php5_5.2.0-8.diff.gz
php5_5.2.0-8.dsc
  to pool/main/p/php5/php5_5.2.0-8.dsc
php5_5.2.0-8_all.deb
  to pool/main/p/php5/php5_5.2.0-8_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 401129@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
sean finney <seanius@debian.org> (supplier of updated php5 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sun, 17 Dec 2006 16:49:35 +0100
Source: php5
Binary: php5-gd php5-ldap php5 php5-xmlrpc php5-pspell libapache2-mod-php5 php5-xsl php5-cgi php-pear php5-tidy php5-pgsql php5-cli php5-recode php5-mhash php5-sybase php5-curl php5-odbc php5-mcrypt php5-mysql php5-common php5-imap php5-snmp php5-dev php5-sqlite libapache-mod-php5 php5-interbase
Architecture: source amd64 all
Version: 5.2.0-8
Distribution: unstable
Urgency: high
Maintainer: Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>
Changed-By: sean finney <seanius@debian.org>
Description: 
 libapache-mod-php5 - server-side, HTML-embedded scripting language (apache 1.3 module)
 libapache2-mod-php5 - server-side, HTML-embedded scripting language (apache 2 module)
 php-pear   - PEAR - PHP Extension and Application Repository
 php5       - server-side, HTML-embedded scripting language (meta-package)
 php5-cgi   - server-side, HTML-embedded scripting language (CGI binary)
 php5-cli   - command-line interpreter for the php5 scripting language
 php5-common - Common files for packages built from the php5 source
 php5-curl  - CURL module for php5
 php5-dev   - Files for PHP5 module development
 php5-gd    - GD module for php5
 php5-imap  - IMAP module for php5
 php5-interbase - interbase/firebird module for php5
 php5-ldap  - LDAP module for php5
 php5-mcrypt - MCrypt module for php5
 php5-mhash - MHASH module for php5
 php5-mysql - MySQL module for php5
 php5-odbc  - ODBC module for php5
 php5-pgsql - PostgreSQL module for php5
 php5-pspell - pspell module for php5
 php5-recode - recode module for php5
 php5-snmp  - SNMP module for php5
 php5-sqlite - SQLite module for php5
 php5-sybase - Sybase / MS SQL Server module for php5
 php5-tidy  - tidy module for php5
 php5-xmlrpc - XML-RPC module for php5
 php5-xsl   - XSL module for php5
Closes: 387881 392249 401129 401825 402161 402506
Changes: 
 php5 (5.2.0-8) unstable; urgency=high
 .
   [ sean finney ]
   * Update package information to say simply "Apache 2" instead
     of "Apache 2.0" (ref: #400306).
   * Update package description for php-pear to mention needing
     phpN-dev for building PECL extensions (closes: #401825).
   * Add mention of Freetype fonts to php5-gd package description,
     thanks to Ole Laursen for the suggestion (closes: #387881).
   * Include a backported version of upstream's fix for
     alignment calculatations which cause FTBFS problems for
     some arches.  Thanks to Roman Zippel for finding this (closes: #401129).
     patch: 114-zend_alloc.c_m68k_alignment.patch
   * Remove --enable-yp, as it's no longer used and seperately
     packaged.  Thanks to Martijn Grendelman for mentioning this
     (closes: #402161).
   * Add mention to README.Debian of needing to restart apache when
     installing modules (closes: #392249).
   * Don't strip the DSO modules if building with DEB_BUILD_OPTIONS
     containing nostrip
   * Backported a patch from upstream CVS to fix a rather nasty
     memory leak in zend_alloc (closes: #402506).
     patch: 115-zend_alloc.c_memleak.patch
   * The memleak and FTBFS are targeted at etch, and there aren't
     any other significant changes, so priority=high.
Files: 
 751f8b83f67dad79e718568facdcb6d5 1963 web optional php5_5.2.0-8.dsc
 ca1617efac6800ed124da4c609cd2823 94812 web optional php5_5.2.0-8.diff.gz
 32af5f1355198d302baa9773d2536df1 215828 web optional php5-common_5.2.0-8_amd64.deb
 5e994198c5b861edf1ba43292c31771e 2507228 web optional libapache-mod-php5_5.2.0-8_amd64.deb
 d7038070f89afa8957abd18533357d7b 2508044 web optional libapache2-mod-php5_5.2.0-8_amd64.deb
 eab8414c198623630d494c1bb75994c9 4858224 web optional php5-cgi_5.2.0-8_amd64.deb
 9695c2f48668cf98a5c7dbe2b6a66454 2449384 web optional php5-cli_5.2.0-8_amd64.deb
 b23d795128345b1eadfe0d0f804638b2 341988 devel optional php5-dev_5.2.0-8_amd64.deb
 844201efbd9ca5fe755d1b65d4bb76e1 24958 web optional php5-curl_5.2.0-8_amd64.deb
 6e2dd66a646b3a732335c17436077eaa 37032 web optional php5-gd_5.2.0-8_amd64.deb
 f6de94d7944cbe172114b8ac9946b45c 36606 web optional php5-imap_5.2.0-8_amd64.deb
 3039b32ee0b0c84e4abd52bf795e4a8f 46702 web optional php5-interbase_5.2.0-8_amd64.deb
 1b2642c6a41bdd09336eab21051af355 18652 web optional php5-ldap_5.2.0-8_amd64.deb
 c276f98a0ca28342c76c793a2860b478 13476 web optional php5-mcrypt_5.2.0-8_amd64.deb
 60e03d2103ee993169d69c889353150e 5244 web optional php5-mhash_5.2.0-8_amd64.deb
 9901fcfa9f99d572858e30496e1b8cdc 71748 web optional php5-mysql_5.2.0-8_amd64.deb
 aca1dd1c06e3b803640aafb2dfe1fcd9 36388 web optional php5-odbc_5.2.0-8_amd64.deb
 a815dc2dd4922a4d0b5ba59ad1af3ead 54146 web optional php5-pgsql_5.2.0-8_amd64.deb
 0451e28f624e0c25d8fea0ff0b13a8f3 9390 web optional php5-pspell_5.2.0-8_amd64.deb
 b2950080cc9b679a4049cecb9c8a422b 4884 web optional php5-recode_5.2.0-8_amd64.deb
 c95d819427bf5394627f4922f50a958c 12038 web optional php5-snmp_5.2.0-8_amd64.deb
 0aac110050f843eef2c1eac643a04ea1 38454 web optional php5-sqlite_5.2.0-8_amd64.deb
 00008c712958636ecc8567e4cae13a10 19416 web optional php5-sybase_5.2.0-8_amd64.deb
 4e04ed19171887dd1620680fc5f81f81 17550 web optional php5-tidy_5.2.0-8_amd64.deb
 229ec931b584fa6b6bc96963b6725858 39142 web optional php5-xmlrpc_5.2.0-8_amd64.deb
 285b0182afae5f591a2a133e37a793e4 13008 web optional php5-xsl_5.2.0-8_amd64.deb
 bfce67b5d10fbd07193b976c5230e474 1036 web optional php5_5.2.0-8_all.deb
 21dadfa9629bc1ce3b739c77942e87b5 306930 web optional php-pear_5.2.0-8_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFFhZSMynjLPm522B0RAlCBAJ9ycuTO/gxhgkuzjvYZ5hM9BqbxQwCfercY
yopn4o7IMS9RB1VKQtjpBE0=
=83VI
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 25 Jun 2007 01:47:29 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 01:51:36 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.